org.keycloak.adapters.springboot

## Class KeycloakSpringBootProperties.SecurityCollection

- java.lang.Object
- - org.keycloak.adapters.springboot.KeycloakSpringBootProperties.SecurityCollection

- Enclosing class:
    KeycloakSpringBootProperties

      public static class KeycloakSpringBootProperties.SecurityCollection
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakSpringBootProperties.SecurityCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAuthRoles()`
    `String` | `getDescription()`
    `List<String>` | `getMethods()`
    `String` | `getName()`
    `List<String>` | `getOmittedMethods()`
    `List<String>` | `getPatterns()`
    `void` | `setAuthRoles(List<String> authRoles)`
    `void` | `setDescription(String description)`
    `void` | `setMethods(List<String> methods)`
    `void` | `setName(String name)`
    `void` | `setOmittedMethods(List<String> omittedMethods)`
    `void` | `setPatterns(List<String> patterns)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakSpringBootProperties.SecurityCollection

          public KeycloakSpringBootProperties.SecurityCollection()

  - ### Method Detail

    - #### getAuthRoles

          public List<String> getAuthRoles()

    - #### getPatterns

          public List<String> getPatterns()

    - #### getMethods

          public List<String> getMethods()

    - #### getDescription

          public String getDescription()

    - #### getName

          public String getName()

    - #### getOmittedMethods

          public List<String> getOmittedMethods()

    - #### setName

          public void setName(String name)

    - #### setDescription

          public void setDescription(String description)

    - #### setAuthRoles

          public void setAuthRoles(List<String> authRoles)

    - #### setPatterns

          public void setPatterns(List<String> patterns)

    - #### setMethods

          public void setMethods(List<String> methods)

    - #### setOmittedMethods

          public void setOmittedMethods(List<String> omittedMethods)

Copyright © 2015. All rights reserved.